Subject: Re: Filtering headers in PINE (3.89)

From: David L Miller <[email-masked]>
Date: Thu, 1 Jun 1995 17:01:14 -0700 (PDT)

Gerry,

The behavior you described for Linux is the expected Pine behavior (though
you will see Reply-To: and Cc: if they exist).  I am not familiar with the
Unisys port (where did you get it?) but it should behave the same.  You
should _never_ see a Recieved: header, etc, in Pine unless you specifically
enable the full-header command and use it...

--DLM

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing, JE-20
4545 15th Ave NE, Seattle WA 98105, USA

On Wed, 31 May 1995, Gerry Howser wrote:

> I appreciate the thought, but I have already tried that.  The problem I
> have is a little more subtle than that.  I have had Pine running on a
> lynix box for some time now and the ONLY headers a user sees (with a
> plain vanilla .pinerc file) are the DATE, TO, FROM, and SUBJECT.  My
> Director wishes to see only those headers on all mail.  By this I mean
> that he want me to filter the Reply-to, Received, and all Comment type
> headers.  All he wants is to see those four headers and no others, even
> if they were attached by previous mailers.  I think I will have to look
> at the way that Pine processes the header and delete every line except
> those four and find some way to turn the whole thing on and off so that I
> will still have the headers for debugging.
>
> The headers that I am talking about are present if you use mailx, also.
>
> --------------------------------------------------------------------------------	Gerry Howser (POSTMASTER)
> 		[email-masked]
> 		Manager of Systems, Programming, and Telecommunications
> 		Lincoln University
> 		Jefferson City, MO 65102-0029
>
> On Wed, 31 May 1995, David L Miller wrote:
>
> > Return-Path: <[email-masked]>
> > Received: from shiva1.cac.washington.edu by lincolnu.edu (4.1/SMI-4.1)
> > 	id AA27655; Wed, 31 May 95 02:51:11 CDT
> > Received: from localhost by shiva1.cac.washington.edu
> > 	(5.65+UW95.05/UW-NDC Revision: 2.32 ) id AA19190;
> > 	Wed, 31 May 95 00:49:33 -0700
> > Date: Wed, 31 May 1995 00:49:23 -0700 (PDT)
> > From: David L Miller <[email-masked]>
> > To: Gerry Howser <[email-masked]>
> > Cc: [email-masked]
> > Subject: Re: Filtering headers in PINE (3.89)
> > In-Reply-To: <[email-masked]>
> > Message-Id: <[email-masked]>
> > Mime-Version: 1.0
> > Content-Type: TEXT/PLAIN; charset=US-ASCII
> >
> > -----BEGIN PGP SIGNED MESSAGE-----
> >
> > On Tue, 30 May 1995, Gerry Howser wrote:
> >
> > > I have recently installed PINE on a U6000/550 from Unisys and am having a
> > > MINOR problem:  How can I filter the headers on an incoming message so
> > > that all the Received-From and X-.... headers do not show?  I have PINE
> > > on a LYNIX box and it only shows the Date, To, From, and Subject
> > > headers.  Is this a pine configuration option, a compile option, or a
> > > SENDMAIL option?  I need to resolve this before I am called in to train
> > > the University President and his V.P.'s
> > >
> >
> > Pine will not show the extra headers unless you turn on the
> > enable-full-header-cmd feature in your .pinerc file (or
> > /usr/local/lib/pine.conf) and give the 'h' command.  Giving 'h' again will
> > toggle the full header mode back off...
> >
> > |\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
> > |/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
> > University of Washington, Networks & Distributed Computing, JE-20
> > 4545 15th Ave NE, Seattle WA 98105, USA
> >
> >
> > -----BEGIN PGP SIGNATURE-----
> > Version: 2.6.2
> >
> > iQBVAwUBL8wfit/IU4uTDdHNAQGrwQIAhe27jbou3r8pnsEXgR72boj0Zz1EiDYs
> > 8rMhvYvVmmJWXWaRGBge+r80HQG38rSMew7qrIHakz7tzGvYNCeHuQ==
> > =0/hA
> > -----END PGP SIGNATURE-----
> >
> >
> >
>